/* @import url("https://fonts.googleapis.com/css2?family=Noto+Sans&display=swap"); */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@200;400&display=swap');
:root {
  /* Colors */
  --primaryColor: #f77f5c;
  --primaryColorHover: #fab6a2;
  --secondaryColor: #882d52;

  --backgorundPrimaryColor: #fff;
  --backgroundSecondaryColor: #fef3f0;

  --textPrimaryColor: #505050;

  /* Fonts */
  --fontTitleSize: 16px;
  --primaryFont: "Montserrat", sans-serif;

  /* Border */
  --radius: 4px;

  /* Transition */
  --transition: 200ms;

  /* impedir seleção de texto */
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/*Tags Style*/
body,
p,
h2 {
  font-family: var(--primaryFont);
  margin: 0;
  color: #282828;
}

a {
  color: inherit;
  text-decoration: none;
}

main {
  padding: 0px 80px 0px 144px;
}

h3 {
  margin: 0px 10px;
  font-size: var(--fontTitleSize);
  transition: var(--transition);
}

input:focus,
textarea:focus,
select:focus {
  outline: none;
}
input,
textarea {
  border: 0;
  font-family: var(--primaryFont);
  font-size: 17px;
}

input:-webkit-autofill,
textarea:-webkit-autofill,
select:-webkit-autofill {
  -webkit-text-fill-color: var(--primaryColor);
  -webkit-box-shadow: 0 0 0px 1000px #fff inset;
}

input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  -webkit-box-shadow: 0 0 0px 1000px var(--backgroundSecondaryColor) inset;
}

a {
  position: relative;
  display: inline-block;
}
a[title]:hover:after {
  content: attr(title);
  position: absolute;
  background-color: rgba(254, 243, 240, 0.5);
  color: #000;
  padding: 5px;
  top: -200%;
  right: 0;
}

/*Error Message*/
.errorMessage {
  color: var(--primaryColor);
  font-weight: bold;
  font-size: 36px;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}

/*Profile Page*/
.navUser h3:hover {
  cursor: pointer;
}
.navUser {
  position: absolute;
  display: flex;
  margin-top: 10px;
}

.componentsUser {
  margin: 50px 0px;
}

.selectedProfile {
  height: 27px;
  border-bottom: 3px solid var(--secondaryColor);
  color: var(--secondaryColor);
}

/*Header Style*/
.selected {
  background-color: #DFDFDF;
  border-radius: 4px;
}
.selected i, .selected a { color: var(--primaryColor) }

/*Cards*/
.cardSimple, .cardBorder {
  background-color: #fff;
  box-shadow: 0px 0px 7px rgba(0, 0, 0, 0.1);
  margin: 10px;
  padding: 10px;
  border-radius: 10px;
  background-position: center;
  transition: 300ms;
}

.cardBorder:hover {
  background: var(--backgroundSecondaryColor);
}
.cardSimple:active {
  background-color: #fff;
  background-size: 100%;
  transition: background 0s;
}

/*Style Scrollbar*/
::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}
::-webkit-scrollbar-track {
  background: transparent;
}
::-webkit-scrollbar-thumb {
  background-color: var(--primaryColor);
  border-radius: 6px;
  border: 0.5px solid #fff;
}

/*Check input*/
/* input[type="radio"],
input[type="checkbox"] {
  display: none;
} */

.radioDiv {
  cursor: pointer;
  background-color: #fff;
  color: var(--primaryColor);
  padding: 8px 0px;
  border-radius:  0px 0px 4px 4px;
  transition: ease-in-out 200ms all;
  text-align: center;
}

.radioDiv:hover {
  background-color: var(--primaryColorHover);
  color: #fff;
}

.radio:checked ~ div {
  background-color: var(--primaryColor);
  color: #fff;
}

.checkboxDiv {
  cursor: pointer;
  border: 1.5px solid var(--primaryColor);
  color: var(--primaryColor);
  padding: 8px;
  margin-right: 10px;
  border-radius: 4px;
  transition: ease-in-out 200ms all;
}

.checkbox:checked ~ div {
  color: #fff;
  background-color: var(--primaryColor);
}

/*Icons*/
/* .fa-star {
  margin-right: 7px;
  color: #ffd700;
}
.fa-times {
  cursor: pointer;
  color: red;
} */

/* Buttons */
.confirmButton:hover,
.colorfulButton:hover,
.borderButton:hover {
  transform: scale(1.01);
  cursor: pointer;
}
.colorfulButton {
  transition: all ease-in-out 200ms;
  background-color: var(--primaryColor);
  border-radius: var(--radius);
  border: 0;
  padding: 7px 12px;
  color: #fff;
}

.confirmButton {
  transition: all ease-in-out 200ms;
  background-color: #19c019;
  font-size: 13px;
  border-radius: 3px;
  font-weight: bold;
  padding: 7px 12px;
  color: #fff;
  border: 0;
}

.borderButton {
  transition: all ease-in-out 200ms;
  background-color: #fff;
  border: 1px solid red;
  font-size: 13px;
  border-radius: 3px;
  font-weight: bold;
  padding: 7px 12px;
  color: red;
}

.disabledButton {
  transition: all ease-in-out 200ms;
  background-color: #949494;
  font-size: 13px;
  border-radius: 3px;
  font-weight: bold;
  padding: 7px 12px;
  color: #474747;
  border: 0;
  margin-left: 5px;
  
  pointer-events: none;
  cursor: default;
}

/*Check input*/
.radioLabel input:checked {
  background-color: #f77f5c;
}
 
.selectRanking input {  
  display:none
}

/*skill tag*/
.skillTag {
  background-color: var(--primaryColor);
  font-size: 16px;
  border-radius: 100px;
  color: #fff;
  padding: 1px 10px;
  white-space: nowrap;
}

/*Fast Funtion*/
.shadow { box-shadow: 0px 0px 7px rgba(0, 0, 0, 0.1) }
.border { border: 2px solid var(--primaryColor) }
.primaryColor { color: var(--primaryColor) }
.between { justify-content: space-between }
.justifyCenter { justify-content: center }
.flexStart { align-items: flex-start }
.textJustify { text-align: justify }
.flexEnd { align-items: flex-end }
.textCenter { text-align: center }
.column { flex-direction: column }
.center { align-items: center }
.right { margin-right: auto }
.row { flex-direction: row }
.pointer { cursor: pointer }
.bold { font-weight: bold }
.left { margin-left: auto }
.flex { display: flex !important }
.full { width: 100% }

.gradientBackground {
  top: 0;
  position: fixed;
  background-image: linear-gradient(var(--primaryColor), var(--secondaryColor));
  width: 100%;
  height: 100%;
  z-index: -1;
}

/*Responsive*/
@media only screen and (max-width: 1024px) {
  main { padding: 8px 64px 8px 128px; }
}


@media only screen and (max-width: 500px) {
  :root {
    --fontTitleSize: 14px;
  }
  main { padding: 0 1vw }
  .help { display: none !important }
  .selected {
    background-color: #f9f9f9;
  }
  .logoutIcon { display: none !important}
}







